<div
  fxLayout="column"
  fxLayoutAlign="center"
  fxLayoutGap="10px"
  fxLayoutGap.xs="0"
>
  <div fxLayout="column" fxLayoutAlign="center" fxLayoutGap="10px">
    <h4>File Uploader</h4>

    <form
      [formGroup]="form"
      (ngSubmit)="onSubmit()"
      enctype="multipart/form-data"
      fxLayout="row wrap"
      fxLayoutAlign="center"
      fxLayoutGap="10px"
    >
      <button type="button" mat-raised-button (click)="fileInput.click()">
        Choisir le csv
      </button>
      <span>{{
        form.get("file").value.name
          ? form.get("file").value.name
          : "Pas de fichier chargé"
      }}</span>
      <input
        hidden
        type="file"
        name="file"
        (change)="onFileChange($event)"
        #fileInput
        matInput
        accept=".csv"
      />
      <button mat-raised-button color="primary" type="submit">Upload</button>
    </form>
    <div fxLayout="row wrap" fxLayoutAlign="center" fxLayoutGap="10px">
      <mat-progress-bar
        mode="determinate"
        [value]="uploadProgress"
      ></mat-progress-bar>
      <div class="">
        <mat-icon
          *ngIf="uploaded && !errorUpload"
          class="icon color-green "
          inline="true"
          >check_circle</mat-icon
        >
        <mat-icon
          *ngIf="uploaded && errorUpload"
          class="icon color-red "
          inline="true"
          >error</mat-icon
        >
        <span *ngIf="uploaded && !errorUpload">CSV Uploadé</span>
        <span *ngIf="uploaded && errorUpload">Error</span>
      </div>
    </div>
  </div>
  <button
    [disabled]="!uploaded || loading || errorUpload"
    fxLayoutAlign="center"
    (click)="launch()"
    mat-raised-button
    color="primary"
  >
    Start
  </button>
  <div fxLayout="row wrap" fxLayoutAlign="center" fxLayoutGap="10px">
    <mat-spinner *ngIf="loading" mode="indeterminate"></mat-spinner>
    <div class="text-center">
      <mat-icon
        *ngIf="executed && !errorExe"
        class="icon color-green "
        inline="true"
        >check_circle</mat-icon
      ><mat-icon
        *ngIf="executed && errorExe"
        class="icon color-red "
        inline="true"
        >error</mat-icon
      ><span *ngIf="executed">{{ executionMessage }}</span>
      <div fxLayout="column" fxLayoutAlign="center" fxLayoutGap="10px">
        <h5 *ngIf="executed && !errorExe">Elements : {{ nbElements }}</h5>
        <h5 *ngIf="executed && !errorExe">
          Prods Uniques: {{ nbProdsUnique }}
        </h5>
        <h5 *ngIf="executed && !errorExe">Prods Maj: {{ nbProdsMaj }}</h5>
      </div>
    </div>
  </div>
</div>
